For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
          • POSTCreate
          • GETGet
          • PUTUpdate
          • DELDeactivate
          • GETGet Multi
Contact Sales
LogoLogo
API ReferencePre EncounterImagesV1

Get

Beta
GET
/images/v1/:id
GET
/images/v1/:id
$curl https://pre-api.joincandidhealth.com/images/v1/id \
> -H "Authorization: Bearer <token>"
1{
2 "deactivated": true,
3 "display_name": "display_name",
4 "file_name": "file_name",
5 "file_type": "file_type",
6 "id": "id",
7 "organization_id": "organization_id",
8 "signed_url": "signed_url",
9 "status": "PENDING",
10 "updated_at": "2024-01-15T09:30:00Z",
11 "updating_user_id": "updating_user_id",
12 "version": 1,
13 "coverage": {
14 "id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
15 "side": "FRONT"
16 },
17 "patient": {
18 "id": "id",
19 "notes": "notes"
20 }
21}
Gets an image by imageId.
Was this page helpful?
Previous

Update

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idstringRequired
The unique identifier for an Image

Response

This endpoint returns an object.
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
display_namestring
file_namestring
file_typestring
idstring
The unique identifier for an Image
organization_idstring
The organization that owns this object.
signed_urlstring
A signed URL to the image. This url can be used to upload an image to GCP storage or to read the image contents.
statusenum
Allowed values:
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
coverageobject
An association to a Coverage.
patientobject
An association to a Patient.

Errors

404
Not Found Error